# --------------------------------------------------------
# Create database: "mysqladmin create customers "
# Start "mysql customers < customers.sql"
# --------------------------------------------------------
# 'userlimit' table structure
#
#
CREATE TABLE userlimit (
   ID int(11) DEFAULT '0' NOT NULL auto_increment,
   ACCOUNT varchar(25) NOT NULL,
   PRIMARY KEY (ID)
);


CREATE TABLE userconfig (
   ID int(11) DEFAULT '0' NOT NULL auto_increment,
   ACCOUNT varchar(25) NOT NULL,
   STATUS enum('User','Locked','PowerUser','Admin') DEFAULT 'User' NOT NULL,
   TIMELEFT bigint(20) DEFAULT '0' NOT NULL,
   TIMEUP bigint(20) DEFAULT '0' NOT NULL,
   REALNAME varchar(65) NOT NULL,
   ADDRESS varchar(65) DEFAULT 'not published' NOT NULL,
   PHONES varchar(65) DEFAULT 'not published' NOT NULL,
   PASSPORT varchar(65) DEFAULT 'not published' NOT NULL,
   INFO mediumtext,
   PASSWORD varchar(20) NOT NULL,
   PRIMARY KEY (ID)
);

# --------------------------------------------------------
#
# 'userstat' table structure
#

CREATE TABLE userstat (
   ID int(11) DEFAULT '0' NOT NULL auto_increment,
   ACCOUNTID int(11) DEFAULT '0' NOT NULL,
   ACCOUNT varchar(25) NOT NULL,
   DATEEVENT date DEFAULT '0000-00-00' NOT NULL,
   TIMEEVENT time DEFAULT '00:00:00' NOT NULL,
   EVENT enum('LOGIN','LOGOFF') DEFAULT 'LOGIN' NOT NULL,
   IPADDRESS varchar(15) NOT NULL,
   INBYTES bigint(20) DEFAULT '0' NOT NULL,
   OUTBYTES bigint(20) DEFAULT '0' NOT NULL,
   TIMEONLINE bigint(20) DEFAULT '0' NOT NULL,
   PRIMARY KEY (ID)
);

INSERT INTO userconfig VALUES( '', 'Unknown','Locked','','','Wrong login', 'Wrong login', 'NO', 'No Data','', '!@super*cth&dth');
INSERT INTO userconfig VALUES( '', 'admin','Admin','','','John Doe', 'NoNname', '12345678', 'No Data','', 'password');
INSERT INTO userconfig VALUES( '', 'petrov','PowerUser','','','Petrov I.I.', 'NoName', '2261146', 'No Data','', 'password');
INSERT INTO userconfig VALUES( '', 'ivanov','User','','','Ivanov I.I.', 'NoName', '3434422', 'No Data','', 'password');
INSERT INTO userconfig VALUES( '', 'guest','Guest','','','Guest', 'NoName', '3434422', 'No Data','', 'guest');
